AntCompiler.JasperAntLogger (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.jasper.compiler

## Class AntCompiler.JasperAntLogger

- java.lang.Object
- - org.apache.tools.ant.DefaultLogger
  - - org.apache.jasper.compiler.AntCompiler.JasperAntLogger

- All Implemented Interfaces:
    `java.util.EventListener`, `org.apache.tools.ant.BuildListener`, `org.apache.tools.ant.BuildLogger`
  Enclosing class:
    AntCompiler

      public static class AntCompiler.JasperAntLogger
      extends org.apache.tools.ant.DefaultLogger

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.StringBuilder` | `reportBuf` |

    - ### Fields inherited from class org.apache.tools.ant.DefaultLogger

      `emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JasperAntLogger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getReport()` |
    `protected void` | `log​(java.lang.String message)` |
    `protected void` | `printMessage​(java.lang.String message, java.io.PrintStream stream, int priority)` |

    - ### Methods inherited from class org.apache.tools.ant.DefaultLogger

      `buildFinished, buildStarted, extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getTimestamp, messageLogged, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, targetStarted, taskFinished, taskStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reportBuf

          protected final java.lang.StringBuilder reportBuf

  - ### Constructor Detail

    - #### JasperAntLogger

          public JasperAntLogger()

  - ### Method Detail

    - #### printMessage

          protected void printMessage​(java.lang.String message,
                                      java.io.PrintStream stream,
                                      int priority)

      Overrides:
        `printMessage` in class `org.apache.tools.ant.DefaultLogger`

    - #### log

          protected void log​(java.lang.String message)

      Overrides:
        `log` in class `org.apache.tools.ant.DefaultLogger`

    - #### getReport

          protected java.lang.String getReport()